version: "3.5"

services:
  postgres:
    container_name: postgres_container
    image: postgres:latest
    environment:
      POSTGRES_USER: "${DATABASE_POSTGRES_USER:-user}"
      POSTGRES_PASSWORD: "${DATABASE_POSTGRES_PASSWORD:-1}"
      POSTGRES_DB: local
    volumes:
      - pgdata:/var/lib/postgresql/data
    ports:
      - "${DATABASE_POSTGRES_PORT:-5801}:5432"
    restart: unless-stopped

  postgres_admin:
    container_name: postgres_admin_container
    image: dpage/pgadmin4:latest
    environment:
      PGADMIN_DEFAULT_EMAIL: "${DATABASE_PGADMIN_DEFAULT_EMAIL:-pgadmin4@pgadmin.org}"
      PGADMIN_DEFAULT_PASSWORD: "${DATABASE_PGADMIN_DEFAULT_PASSWORD:-admin}"
    volumes:
      - ./tmp/storages/postgres_admin:/root/.pgadmin
    ports:
      - "${DATABASE_PGADMIN_PORT}:80"
    restart: unless-stopped
    depends_on:
      - postgres

  cache:
    image: "bitnami/redis:latest"
    container_name: "cache_container"
    environment:
      - ALLOW_EMPTY_PASSWORD=yes
    ports:
      - ${REDIS_PORT}:6379
    volumes:
      - ./tmp/storages/cache:/bitnami/redis/data
    restart: unless-stopped

volumes:
  pgdata:
